%% GM voxel intensities inside the clusters
function [Accuracy Specificity Sensitivity] = generalizedRegressionNNwithVBMData (data_controles, data_pacientes)

   per_group_subjects_no=49;
   k_de_kfold = 10;
   p = cvpartition(per_group_subjects_no,'kfold',k_de_kfold);
   c = cvpartition(per_group_subjects_no,'kfold',k_de_kfold);
   total_tests = 0;
   TP = 0;
   TN = 0;
   FP = 0;
   FN = 0;

   patient_label =  0;
   control_label =  1;

   for k=1:k_de_kfold

      training_data_controles = data_controles (training(c,k)==1,:);
      training_data_pacientes = data_pacientes (training(p,k)==1,:);
       
      [data label feat_no] = alignAndLabelDataForNN (training_data_controles, training_data_pacientes, control_label, patient_label);
      
      %creating neural network and training with training set
      grnets (k).net = newgrnn (data', label');

      %compute classification of the test set
      test_data_controles     = data_controles (training(c,k)==0,:);
      test_data_pacientes     = data_pacientes (training(p,k)==0,:);

      [test_data test_label test_feat_no] = alignAndLabelDataForNN (test_data_controles, test_data_pacientes, control_label, patient_label);

      grnet_results(k).output = transformaOutputsBackPropNN(vec2ind ( sim (grnets (k).net, test_data') ));

      grnet_results(k).target = test_label;

      [TP TN FP FN Accuracy Specificity Sensitivity] = computeErrors (grnet_results(k).target', grnet_results(k).output');
     
      grnet_results(k).TP = TP;
      grnet_results(k).TN = TN;
      grnet_results(k).FP = FP;
      grnet_results(k).FN = FN;
      grnet_results(k).Accuracy = Accuracy;
      grnet_results(k).Specificity = Specificity;
      grnet_results(k).Sensitivity = Sensitivity;

   end
