%% GM voxel intensities inside the clusters
function [results] = probabilisticNNwithVBMData (data_controles, data_pacientes, spread_coeff)

   per_group_subjects_no=49;
   k_de_kfold = 10;
   p = cvpartition(per_group_subjects_no,'kfold',k_de_kfold);
   total_tests = 0;

   patient_label = 1;
   control_label = 2;

   for k=1:k_de_kfold

      training_data_controles = data_controles (training(p,k)==1,:);
      training_data_pacientes = data_pacientes (training(p,k)==1,:); 
       
      [data label feat_no] = alignAndLabelDataForNN (training_data_controles, training_data_pacientes, control_label, patient_label);
      
      label_ind = ind2vec(label);
      data = data';

      %creating neural network and training with training set
      probnets (k).net = newpnn (data, label_ind, spread_coeff);

      %compute classification of the test set
      test_data_controles     = data_controles (training(p,k)==0,:);
      test_data_pacientes     = data_pacientes (training(p,k)==0,:);

      [test_data test_label test_feat_no] = alignAndLabelDataForNN (test_data_controles, test_data_pacientes, control_label, patient_label);
      test_label_ind  = ind2vec (test_label);
      test_data = test_data';

      probnet_results(k).output = vec2ind ( sim (probnets (k).net, test_data) );
      probnet_results(k).target = test_label;

      [TP TN FP FN Accuracy Specificity Sensitivity] = computeErrors (probnet_results(k).target', probnet_results(k).output);
     
      probnet_results(k).TP = TP;
      probnet_results(k).TN = TN;
      probnet_results(k).FP = FP;
      probnet_results(k).FN = FN;
      probnet_results(k).Accuracy = Accuracy;
      probnet_results(k).Specificity = Specificity;
      probnet_results(k).Sensitivity = Sensitivity;

   end

   results = probnet_results;
